services:
    dmzx.addconfig.controller.acp:
        class: 'dmzx\addconfig\controller\acp_controller'
        arguments:
            - '@config'
            - '@language'
            - '@log'
            - '@request'
            - '@template'
            - '@user'

    dmzx.addconfig.listener:
        class: 'dmzx\addconfig\event\main_listener'
        arguments:
            - '@config'
            - '@template'
            - '@language'
            - '@user'
            - '@dmzx.addconfig.core.functions'
        tags:
            - { name: 'event.listener' }

    dmzx.addconfig.core.functions:
        class: 'dmzx\addconfig\core\functions'
        arguments:
            - '@config'
            - '@template'
            - '@language'
            - '@ext.manager'
            - '@file_downloader'
            - '@cache.driver'